ControllerDomainTransformer (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.compiler.web
[Java] Class ControllerDomainTransformer

    java.lang.Object
      org.codehaus.groovy.grails.compiler.injection.AbstractGrailsArtefactTransformer
          org.codehaus.groovy.grails.compiler.web.ControllerDomainTransformer

    @AstTransformer
    public class ControllerDomainTransformer
    extends AbstractGrailsArtefactTransformer

Adds binding methods to domain classes.

Authors:
  Graeme Rocher

Since:
  2.0

Field Summary

Fields inherited from class AbstractGrailsArtefactTransformer
CURRENT_PREFIX, METHOD_MISSING_METHOD_NAME, OBJECT_CLASS, PUBLIC_STATIC_MODIFIER, STATIC_METHOD_MISSING_METHOD_NAME

Method Summary
`java.lang.String` | `getArtefactType()`
`java.lang.Class` | `getInstanceImplementation()`
`java.lang.Class` | `getStaticImplementation()`
`protected boolean` | `isCandidateInstanceMethod(org.codehaus.groovy.ast.ClassNode classNode, org.codehaus.groovy.ast.MethodNode declaredMethod)`
`void` | `performInjection(org.codehaus.groovy.control.SourceUnit source, org.codehaus.groovy.classgen.GeneratorContext context, org.codehaus.groovy.ast.ClassNode classNode)`
`protected boolean` | `requiresAutowiring()`
`boolean` | `shouldInject(java.net.URL url)`

Methods inherited from class AbstractGrailsArtefactTransformer
addApiLookupFieldAndSetter, addDelegateInstanceMethod, addDelegateStaticMethod, addEnhancedAnnotation, compareTo, getArtefactType, getArtefactTypes, getInstanceImplementation, getMarkerAnnotation, getStaticImplementation, hasArtefactAnnotation, isCandidateInstanceMethod, isStaticCandidateMethod, isStaticMethodExcluded, isStaticMethodIncluded, isValidArtefactType, isValidTargetClassNode, performInjection, performInjection, performInjectionInternal, performInjectionOnAnnotatedClass, performInjectionOnAnnotatedClass, performInstanceImplementationInjection, performStaticImplementationInjection, populateAutowiredApiLookupMethod, populateDefaultApiLookupMethod, requiresAutowiring, requiresStaticLookupMethod, resolveGenericsPlaceHolders, shouldSkipInjection

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### getArtefactType

    @java.lang.Override
    public java.lang.String getArtefactType()

### getInstanceImplementation

    @java.lang.Override
    public java.lang.Class getInstanceImplementation()

### getStaticImplementation

    @java.lang.Overridepublic Class getStaticImplementation() {
    public java.lang.Class getStaticImplementation()

### isCandidateInstanceMethod

    @java.lang.Override
    protected boolean isCandidateInstanceMethod(org.codehaus.groovy.ast.ClassNode classNode, org.codehaus.groovy.ast.MethodNode declaredMethod)

### performInjection

    @java.lang.Overridesuper.performInjection(source,  context, classNode);
    public void performInjection(org.codehaus.groovy.control.SourceUnit source, org.codehaus.groovy.classgen.GeneratorContext context, org.codehaus.groovy.ast.ClassNode classNode)

### requiresAutowiring

    @java.lang.Overridereturn false;
    protected boolean requiresAutowiring()

### shouldInject

    public boolean shouldInject(java.net.URL url)

Groovy Documentation